---
lang: en
title: 'API docs: rest.createresolvedroute'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.createresolvedroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [createResolvedRoute](./rest.createresolvedroute.md)

## createResolvedRoute() function

<b>Signature:</b>

```typescript
export declare function createResolvedRoute(route: RouteEntry, pathParams: PathParameterValues): ResolvedRoute;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  route | <code>RouteEntry</code> |  |
|  pathParams | <code>PathParameterValues</code> |  |

<b>Returns:</b>

`ResolvedRoute`


